For Developers

List Institutions

GET https://ed.link/api/v2/institutions

Retrieve a list of public Institutions.

You must provide an application's publishable key (pk_...) as a bearer token to access this endpoint.

Request Parameters

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

This query allows for filtering results.

This query also allows for fuzzy searching.

ParameterTypeDescription
$searchstringA search term used to fuzzy-match institutions by name and by address city, state, or postal code. Results are ordered by name similarity. Cannot be combined with cursor pagination ($after or $before).
$offsetintegerOffset for paginating $search results. Defaults to 0. Ignored without $search.
$expandstringA comma-separated list of expandable properties to include on each result.

Expandable Properties

Use $expand to include related data on each result.

PropertyDescription
addressesThe institution's addresses.
childrenChildren of the institution.

When browsing with $search use $offset to page through results instead of $after or $before.

Sample Request

// List institutions.
axios.get('https://ed.link/api/v2/institutions', {
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

// Search for institutions matching "Lincoln".
axios.get('https://ed.link/api/v2/institutions', {
    params: {
        $search: 'Lincoln',
        $first: 25
    },
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

// List institutions with expanded properties.
axios.get('https://ed.link/api/v2/institutions', {
    params: {
        $expand: 'addresses,children'
    },
    headers: {
        authorization: `Bearer ${publishable_key}`
    }
});

Sample Response

{
    "$data": [
        {
            "_entity_version_id_": "8c71b064-e2f3-4b8a-8041-a9ee64f36717",
            "id": "e9f2c488-fb1d-45fd-9cb9-d9b3e731bacd",
            "name": "Austin ISD",
            "description": null,
            "website": "austinisd.org",
            "logo": null,
            "type": "district",
            "descriptor": "School District",
            "addresses": [
                {
                    "_entity_version_id_": "0282c943-4c9a-459b-ad15-eaae7757cf51",
                    "id": "3ef86f5d-9dee-4282-96e0-3b7a6c8cc8a9",
                    "institution_id": "e9f2c488-fb1d-45fd-9cb9-d9b3e731bacd",
                    "type": "physical",
                    "street": "1111 W 6TH ST",
                    "unit": null,
                    "postal_code": "78703",
                    "city": "AUSTIN",
                    "state": "Texas",
                    "country": "United States",
                    "latitude": 30.2721,
                    "longitude": -82.2439
                }
            ],
            "children": [
                {
                    "_entity_version_id_": "af3aae93-d0d7-4f67-949e-84bb3d2e3107",
                    "id": "930d35fe-91bb-4c59-8466-0f604e524ff6",
                    "name": "ANDERSON High School",
                    "description": null,
                    "website": null,
                    "logo": null,
                    "type": "school",
                    "descriptor": "school"
                },
                {
                    "_entity_version_id_": "1cd4ad0e-02a0-4db7-9640-1baf30b39e7d",
                    "id": "fd8c6b48-9419-4047-8f45-6b5bba030bfc",
                    "name": "HIGHLAND PARK Elementary School",
                    "description": null,
                    "website": null,
                    "logo": null,
                    "type": "school",
                    "descriptor": "school"
                },
                {
                    "_entity_version_id_": "032b1cb8-92ed-4823-b595-a56adc7cef40",
                    "id": "5216bce6-4e15-401a-8223-c958b673f25a",
                    "name": "SUNSET VALLEY Elementary School",
                    "description": null,
                    "website": null,
                    "logo": null,
                    "type": "school",
                    "descriptor": "school"
                },
            ]
        },
        {
          "_entity_version_id_": "46cb1134-b58a-4c6d-84ab-2ebdc0b334a2",
          "id": "39213b18-ca56-4c2f-b0fd-b7adfe964a60",
          "name": "Austin College",
          "description": null,
          "website": "www.austincollege.edu",
          "logo": null,
          "type": "college",
          "descriptor": "College",
          "addresses": [
                {
                    "_entity_version_id_": "c99c0349-decf-4421-98f0-7bbd0b945f3c",
                    "id": "ae06f6ae-791d-41f5-992b-854e24adaa5e",
                    "institution_id": "39213b18-ca56-4c2f-b0fd-b7adfe964a60",
                    "type": "physical",
                    "street": "900 N Grand Ave",
                    "unit": null,
                    "postal_code": "75090-4400",
                    "city": "Sherman",
                    "state": "Texas",
                    "country": "United States",
                    "latitude": null,
                    "longitude": null
                }
          ],
          "children": []
        },
        {
            "_entity_version_id_": "9fee015b-8fd6-4730-a8eb-30f4367aca6f",
            "id": "2f684c3b-35ef-47cc-9934-e4d3e66085dd",
            "name": "AUSTIN High School",
            "description": null,
            "website": null,
            "logo": null,
            "type": "school",
            "descriptor": "school",
            "addresses": [
                {
                    "_entity_version_id_": "65804964-6f64-4eeb-801b-e0c54f2ae8ec",
                    "id": "4cb54664-a097-41df-ba4b-133a346cd19f",
                    "institution_id": "2f684c3b-35ef-47cc-9934-e4d3e66085dd",
                    "type": "physical",
                    "street": "1715 W CESAR CHAVEZ",
                    "unit": null,
                    "postal_code": "78703",
                    "city": "AUSTIN",
                    "state": "Texas",
                    "country": "United States",
                    "latitude": null,
                    "longitude": null
                }
            ],
            "children": []
        }
    ],
    "$next": "https://ed.link/api/v2/institutions?$after=...&$first=...",
    "$request": "00000000-0000-0000-0000-000000000000"
}